Update a referenced row ID
curl --request PUT \
--url https://app.myhero.so/referenced-rows-in-document/updateRowId \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"documentId": "<string>",
"workspaceId": "<string>",
"tableId": "<string>",
"newRowId": "<string>"
}
'import requests
url = "https://app.myhero.so/referenced-rows-in-document/updateRowId"
payload = {
"documentId": "<string>",
"workspaceId": "<string>",
"tableId": "<string>",
"newRowId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
documentId: '<string>',
workspaceId: '<string>',
tableId: '<string>',
newRowId: '<string>'
})
};
fetch('https://app.myhero.so/referenced-rows-in-document/updateRowId', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"acknowledged": true,
"setOnInsert": {
"_id": "<string>",
"createdAt": 123
},
"set": {
"tableId": "<string>",
"documentId": "<string>",
"workspaceId": "<string>",
"updatedAt": 123,
"rowId": "<string>"
}
}
}{
"error": "<string>",
"message": "<string>",
"details": [
"<unknown>"
]
}{
"error": "<string>",
"message": "<string>",
"details": [
"<unknown>"
]
}{
"error": "<string>",
"message": "<string>",
"details": [
"<unknown>"
]
}References
Update a referenced row ID
Updates the rowId on an existing ReferencedRowInDocument record identified by the tableId + documentId + workspaceId combination.
Requires edit access to the document.
Returns the MongoDB update result, or null if the record was not found.
PUT
/
referenced-rows-in-document
/
updateRowId
Update a referenced row ID
Authorizations
HERO personal access token
Body
application/json
Response
200 response
Show child attributes
Show child attributes
⌘I